Knowledgebase
SiSoftware > SiSoftware Technical Support > Knowledgebase

Search help:


GFX / Video (OpenGL, DirectX, Vulkan, etc) support

Solution

In order to run the video (graphics) modules and benchmarks, your system must meet the hardware and software requirements:

  • For ALL operating systems - you need the latest DirectX. Download DirectX End-User Runtimes or the DirectX End-User Runtime Web Installer version.

    Trust us on this, it needs the run-time DirectX updates, it does not work with "just" the built-in drivers.

  • For Vulkan your video card's drivers must include support for it. Modern AMD/ATI, nVidia cards come with drivers that support it.
  • For OpenGL your video card's drivers must include support for it. Modern AMD/ATI, nVidia cards or Intel integrated graphics come with drivers that support it.
  • For DirectX 12, your video card/integrated graphics must be DirectX 12+ compliant, more specifically support Shader Model 5.1 or later under Windows 10 land later.
  • For DirectX 11.x, your video card/integrated graphics must be DirectX 11+ compliant, more specifically support Shader Model 5 or later under Windows 7 and later.
  • For DirectX 10.x, your video card/integrated graphics must be DirectX 10+ compliant, more specifically support Shader Model 4.0/4.1 and later under Windows Vista and later.
 
Was this article helpful? yes / no
Related articles GPGPU / Graphics (OpenCL, CUDA, DirectX CS, Vulkan, etc.) support
DirectX Compute Shader/DirectCompute
Media Transcode Benchmark and hardware acceleration
GPGPU benchmarks cause video driver to crash!
GPGPU benchmarks lock up!
Article details
Article ID: 1
Category: Benchmarking & Results
Date added: 2009-06-01 18:15:14
Views: 1185
Rating (Votes): Article rated 3.6/5.0 (23)

 
« Go back

 
Powered by Help Desk Software HESK, brought to you by SysAid